Page MenuHomePhabricator

Decouple dashboard article ID from wiki article ID
Closed, ResolvedPublic

Description

We currently make an assumption that the database ID matches the remote wiki's article ID. Break this assumption everywhere, and migrate existing data to the new schema.

It would be safest to organize changes so that we have a usable system at the end of each phase:

  • All code that uses onwiki IDs should be refactored to read from the native_id columns.
  • Stop syncing the primary key with native IDs, let them autoincrement.

Event Timeline

awight created this task.Jan 14 2016, 9:29 AM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Base, Aklapper. · View Herald TranscriptJan 14 2016, 9:29 AM
awight updated the task description. (Show Details)Jan 14 2016, 9:37 AM
awight set Security to None.
awight renamed this task from Decouple dashboard article ID from wiki article ID to [Epic] Decouple dashboard article ID from wiki article ID.Feb 9 2016, 7:37 PM
awight updated the task description. (Show Details)
awight added a project: Epic.
awight updated the task description. (Show Details)
Abit triaged this task as High priority.Feb 16 2016, 10:21 PM
awight renamed this task from [Epic] Decouple dashboard article ID from wiki article ID to Decouple dashboard article ID from wiki article ID.Feb 17 2016, 7:20 AM
awight updated the task description. (Show Details)
awight removed a project: Epic.
awight claimed this task.Feb 17 2016, 7:39 AM
Ragesoss closed this task as Resolved.May 21 2016, 1:05 AM
Ragesoss added a subscriber: Ragesoss.

This has been completed, and is live on Wiki Ed production since this week.